#!/usr/bin/perl
use lib "$ENV{PWD}/";
use lib "$ENV{NORDUGRID_LOCATION}/libexec";
use lib "/opt/nordugrid/libexec";
use find_lrms;
use strict;
use warnings;

# A simple but general wrapper to execute the infosys script for the relevant 
# remote LRMS.
# Find resource LRMS and execute the script with the same name as this one only
# with '-remote' replaced by '-remote-LRMS'.

my $self = "$0";
my %config;

$config{resource_lrms} = &find_lrms::read_lrms();

unless ($config{resource_lrms}) {
	print("config{resource_lrms} not set!\n");
	die "config{resource_lrms} not set!\n";
}

$self =~ /(\S+)(\.pl)/;
my $real_script = "$1-$config{resource_lrms}$2";

#print("execute: $real_script with args @ARGV\n");
exec $real_script @ARGV;
